import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizvehicle/` + url, ...arg)

/**
 * 车辆信息Api接口管理器
 *
 * @author fanzherong
 * @date  2025/04/08 09:26
 **/
export default {
	// 获取车辆信息分页
	bizVehiclePage(data) {
		return request('page', data, 'get')
	},
	// 提交车辆信息表单 edit为true时为编辑，默认为新增
	bizVehicleSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除车辆信息
	bizVehicleDelete(data) {
		return request('delete', data)
	},
	// 获取车辆信息详情
	bizVehicleDetail(data) {
		return request('detail', data, 'get')
	}
}
